Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

upgrade node-gyp to 0.4.4

  • Loading branch information...
commit 5bdeead0b17dc995abde5710a4c25ea1891d8a00 1 parent 95f3bb7
@isaacs isaacs authored
View
19 node_modules/node-gyp/lib/node-gyp.js
@@ -112,6 +112,25 @@ proto.parseArgv = function parseOpts (argv) {
}, this)
this.todo = commands
+
+ // support for inheriting config env variables from npm
+ var npm_config_prefix = 'npm_config_'
+ Object.keys(process.env).forEach(function (name) {
+ if (name.indexOf(npm_config_prefix) !== 0) return
+ var val = process.env[name]
+ if (name === npm_config_prefix + 'loglevel') {
+ // "loglevel" is a special case; check for "verbose"
+ if (val === 'verbose') {
+ this.opts.verbose = true
+ }
+ } else {
+ // take the config name and check if it's one that node-gyp cares about
+ name = name.substring(npm_config_prefix.length)
+ if (name in this.configDefs) {
+ this.opts[name] = val
+ }
+ }
+ }, this)
}
/**
View
4 node_modules/node-gyp/node_modules/ansi/package.json
@@ -41,8 +41,8 @@
"dependencies": {},
"optionalDependencies": {},
"_engineSupported": true,
- "_npmVersion": "1.1.21",
- "_nodeVersion": "v0.7.9-pre",
+ "_npmVersion": "1.1.23",
+ "_nodeVersion": "v0.7.10-pre",
"_defaultsLoaded": true,
"dist": {
"shasum": "1bbdab47714665c8484fb62da53f4553c6baec73"
View
4 node_modules/node-gyp/node_modules/glob/package.json
@@ -36,8 +36,8 @@
"_id": "glob@3.1.9",
"optionalDependencies": {},
"_engineSupported": true,
- "_npmVersion": "1.1.21",
- "_nodeVersion": "v0.7.9-pre",
+ "_npmVersion": "1.1.23",
+ "_nodeVersion": "v0.7.10-pre",
"_defaultsLoaded": true,
"dist": {
"shasum": "a81b5dd6244b74b277cc1e825f25ebc511854525"
View
10 node_modules/node-gyp/package.json
@@ -10,7 +10,7 @@
"bindings",
"gyp"
],
- "version": "0.4.3",
+ "version": "0.4.4",
"installVersion": 7,
"author": {
"name": "Nathan Rajlich",
@@ -47,15 +47,15 @@
"name": "isaacs",
"email": "i@izs.me"
},
- "_id": "node-gyp@0.4.3",
+ "_id": "node-gyp@0.4.4",
"devDependencies": {},
"optionalDependencies": {},
"_engineSupported": true,
- "_npmVersion": "1.1.21",
- "_nodeVersion": "v0.7.9-pre",
+ "_npmVersion": "1.1.23",
+ "_nodeVersion": "v0.7.10-pre",
"_defaultsLoaded": true,
"dist": {
- "shasum": "8d45b9b77800f40f27a6445d01d99161942d9b36"
+ "shasum": "b7a9a3ebc17d4115bbe1b4d46c44ddf126751dfe"
},
"_from": "node-gyp@~0.4.1"
}
View
2  package.json
@@ -53,7 +53,7 @@
"mkdirp": "0.3",
"read": "0",
"lru-cache": "1",
- "node-gyp": "~0.4.1",
+ "node-gyp": "~0.4.4",
"fstream-npm": "0 >=0.0.5",
"uid-number": "0",
"archy": "0",
Please sign in to comment.
Something went wrong with that request. Please try again.